summaryrefslogtreecommitdiff
path: root/FinalAborted2/cpp/etc/qpidd
diff options
context:
space:
mode:
authorRajith Muditha Attapattu <rajith@apache.org>2007-11-02 14:09:31 +0000
committerRajith Muditha Attapattu <rajith@apache.org>2007-11-02 14:09:31 +0000
commitecd0e7f457b35ba949f7f2665a740c4a976b9d06 (patch)
treef1fab303a196f5e181c2a3d93412ea855c69a460 /FinalAborted2/cpp/etc/qpidd
parentacaf7d59a7c287d0f06a18973b3487a515fa6ff8 (diff)
downloadqpid-python-ecd0e7f457b35ba949f7f2665a740c4a976b9d06.tar.gz
Creating a back as we try to create yet another tag.
All these aborted tags will be deleted once the final release is done git-svn-id: https://svn.apache.org/repos/asf/incubator/qpid/tags/M2@591339 13f79535-47bb-0310-9956-ffa450edef68
Diffstat (limited to 'FinalAborted2/cpp/etc/qpidd')
-rwxr-xr-xFinalAborted2/cpp/etc/qpidd84
1 files changed, 84 insertions, 0 deletions
diff --git a/FinalAborted2/cpp/etc/qpidd b/FinalAborted2/cpp/etc/qpidd
new file mode 100755
index 0000000000..11cc03e0af
--- /dev/null
+++ b/FinalAborted2/cpp/etc/qpidd
@@ -0,0 +1,84 @@
+#!/bin/bash
+#
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements. See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership. The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License. You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied. See the License for the
+# specific language governing permissions and limitations
+# under the License.
+#
+#
+# qpidd Startup script for the Qpid messaging daemon.
+#
+# chkconfig: - 85 15
+# description: Qpidd is an AMQP broker. It receives, stores, routes and forwards messages using the AMQP protcol.
+# processname: qpidd
+#
+
+prog=qpidd
+lockfile=/var/lock/subsys/$prog
+
+# Source function library.
+. /etc/rc.d/init.d/functions
+
+RETVAL=0
+
+start() {
+ echo -n $"Starting Qpid AMQP daemon: "
+ daemon $prog --daemon
+ RETVAL=$?
+ echo
+ [ $RETVAL = 0 ] && touch ${lockfile}
+ return $RETVAL
+}
+
+stop() {
+ echo -n $"Stopping Qpid AMQP daemon: "
+ killproc $prog
+ RETVAL=$?
+ echo
+ [ $RETVAL = 0 ] && rm -f ${lockfile} ${pidfile}
+}
+
+restart() {
+ stop
+ start
+}
+
+# See how we were called.
+case "$1" in
+ start)
+ start
+ ;;
+ stop)
+ stop
+ ;;
+ status)
+ status $prog
+ RETVAL=$?
+ ;;
+ restart|reload)
+ restart
+ ;;
+ condrestart)
+ if [ -e $lockfile ] ; then restart ; fi
+ ;;
+ reload)
+ reload
+ ;;
+ *)
+ echo $"Usage: $0 {start|stop|restart|condrestart|reload|status}"
+ exit 1
+esac
+
+exit $RETVAL